| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Types | Private Member Functions | Static Private Member Functions | Private Attributes

# XMLTree::Form1 Class Reference

Summary description for Form1. More...

Collaboration diagram for XMLTree::Form1:
[legend]

List of all members.

## Public Member Functions
| Form1 ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Private Types
enum | VIEW { TREE_VIEW = 0 }
## Private Member Functions
delegate void | MyDelegate ()
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | Form1_Load (object sender, System.EventArgs e)
void | menuItem3_Click (object sender, System.EventArgs e)
void | openFileDialog1_FileOk (object sender, System.ComponentModel.CancelEventArgs e)
void | PopulateList ()
void | PopulateTree ()
void | ParseFile ()
void | treeView1_Click (object sender, System.EventArgs e)
void | treeView1_AfterSelect (object sender, System.Windows.Forms.TreeViewEventArgs e)
void | menuItem2_Click (object sender, System.EventArgs e)
void | AppExit ()
void | LoadFileIntoListBox ()
void | MoveToLine (int ln)
void | AssociateTag (TreeNode t, int l)
void | menuItem5_Click (object sender, System.EventArgs e)
void | ShowAboutBox ()
void | EnableDisableControls ()
void | toolBar1_ButtonClick (object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
void | TExpandAll ()
void | TE ()
void | TCollapseAll ()
void | Clear ()
void | menuItem1_DrawItem (object sender, System.Windows.Forms.DrawItemEventArgs e)
void | menuItem1_MeasureItem (object sender, System.Windows.Forms.MeasureItemEventArgs e)
void | menuItem3_MeasureItem (object sender, System.Windows.Forms.MeasureItemEventArgs e)
void | menuItem3_DrawItem (object sender, System.Windows.Forms.DrawItemEventArgs e)
void | Form1_Resize (object sender, System.EventArgs e)
## Static Private Member Functions
static void | Main ()
| The main entry point for the application.
## Private Attributes
System.Windows.Forms.MainMenu | mainMenu1
System.Windows.Forms.MenuItem | menuItem1
System.Windows.Forms.MenuItem | menuItem2
System.Windows.Forms.MenuItem | menuItem3
System.Windows.Forms.OpenFileDialog | openFileDialog1
IContainer | components
string | XMLInputFile = null
string | FileSize = ""
string | WorkingDir = Directory.GetCurrentDirectory()
string | OrigFormTitle = ""
bool | bFileLoaded = false
int | CurrentView = (int)VIEW.TREE_VIEW
Object | NodeTag = null
Thread | t = null
TreeNode | RootNode = null
Point | ClickedPoint = new Point(0,0)
ArrayList | TreeNodeArray = new ArrayList()
ImageList | tr_il = new ImageList()
ImageList | tb_il = new ImageList()
Bitmap | img_fileopen
Bitmap | img_exit
Bitmap | img_collapse
Bitmap | img_expand
Bitmap | img_about
System.Windows.Forms.MenuItem | menuItem4
System.Windows.Forms.MenuItem | menuItem5
System.Windows.Forms.ToolBar | toolBar1
System.Windows.Forms.TreeView | treeView1
System.Windows.Forms.ToolBarButton | Open
System.Windows.Forms.ToolBarButton | Exit
System.Windows.Forms.ToolBarButton | About
System.Windows.Forms.ToolBarButton | SEPARATOR1
System.Windows.Forms.ToolBarButton | ExpandAll
System.Windows.Forms.ToolBarButton | CollapseAll
System.Windows.Forms.ToolBarButton | Stop
System.Windows.Forms.ToolBarButton | SEPARATOR2
System.Windows.Forms.ListBox | listBox1
System.Windows.Forms.Splitter | splitter1
System.Windows.Forms.ToolBarButton | SEPARATOR3

## Detailed Description

Summary description for Form1.

## Member Enumeration Documentation

enum XMLTree::Form1::VIEW`[private]`

Enumerator:

  TREE_VIEW |

## Constructor & Destructor Documentation

XMLTree::Form1::Form1 | ( |  | ) | `[inline]`

## Member Function Documentation

delegate void XMLTree::Form1::MyDelegate | ( |  | ) | `[private]`

override void XMLTree::Form1::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

void XMLTree::Form1::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

static void XMLTree::Form1::Main | ( |  | ) | `[inline, static, private]`

The main entry point for the application.

void XMLTree::Form1::Form1_Load | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::menuItem3_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::openFileDialog1_FileOk | ( | object | sender,
|  | System.ComponentModel.CancelEventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::PopulateList | ( |  | ) | `[inline, private]`

void XMLTree::Form1::PopulateTree | ( |  | ) | `[inline, private]`

void XMLTree::Form1::ParseFile | ( |  | ) | `[inline, private]`

void XMLTree::Form1::treeView1_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::treeView1_AfterSelect | ( | object | sender,
|  | System.Windows.Forms.TreeViewEventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::menuItem2_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::AppExit | ( |  | ) | `[inline, private]`

void XMLTree::Form1::LoadFileIntoListBox | ( |  | ) | `[inline, private]`

void XMLTree::Form1::MoveToLine | ( | int | ln | ) | `[inline, private]`

void XMLTree::Form1::AssociateTag | ( | TreeNode | t,
|  | int | l
| ) |  | `[inline, private]`

void XMLTree::Form1::menuItem5_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::ShowAboutBox | ( |  | ) | `[inline, private]`

void XMLTree::Form1::EnableDisableControls | ( |  | ) | `[inline, private]`

void XMLTree::Form1::toolBar1_ButtonClick | ( | object | sender,
|  | System.Windows.Forms.ToolBarButtonClickEventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::TExpandAll | ( |  | ) | `[inline, private]`

void XMLTree::Form1::TE | ( |  | ) | `[inline, private]`

void XMLTree::Form1::TCollapseAll | ( |  | ) | `[inline, private]`

void XMLTree::Form1::Clear | ( |  | ) | `[inline, private]`

void XMLTree::Form1::menuItem1_DrawItem | ( | object | sender,
|  | System.Windows.Forms.DrawItemEventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::menuItem1_MeasureItem | ( | object | sender,
|  | System.Windows.Forms.MeasureItemEventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::menuItem3_MeasureItem | ( | object | sender,
|  | System.Windows.Forms.MeasureItemEventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::menuItem3_DrawItem | ( | object | sender,
|  | System.Windows.Forms.DrawItemEventArgs | e
| ) |  | `[inline, private]`

void XMLTree::Form1::Form1_Resize | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

## Member Data Documentation

System.Windows.Forms.MainMenu XMLTree::Form1::mainMenu1`[private]`

System.Windows.Forms.MenuItem XMLTree::Form1::menuItem1`[private]`

System.Windows.Forms.MenuItem XMLTree::Form1::menuItem2`[private]`

System.Windows.Forms.MenuItem XMLTree::Form1::menuItem3`[private]`

System.Windows.Forms.OpenFileDialog XMLTree::Form1::openFileDialog1`[private]`

IContainer XMLTree::Form1::components`[private]`

string XMLTree::Form1::XMLInputFile = null`[private]`

string XMLTree::Form1::FileSize = ""`[private]`

string XMLTree::Form1::WorkingDir = Directory.GetCurrentDirectory()`[private]`

string XMLTree::Form1::OrigFormTitle = ""`[private]`

bool XMLTree::Form1::bFileLoaded = false`[private]`

int XMLTree::Form1::CurrentView = (int)VIEW.TREE_VIEW`[private]`

Object XMLTree::Form1::NodeTag = null`[private]`

Thread XMLTree::Form1::t = null`[private]`

TreeNode XMLTree::Form1::RootNode = null`[private]`

Point XMLTree::Form1::ClickedPoint = new Point(0,0)`[private]`

ArrayList XMLTree::Form1::TreeNodeArray = new ArrayList()`[private]`

ImageList XMLTree::Form1::tr_il = new ImageList()`[private]`

ImageList XMLTree::Form1::tb_il = new ImageList()`[private]`

Bitmap XMLTree::Form1::img_fileopen`[private]`

Bitmap XMLTree::Form1::img_exit`[private]`

Bitmap XMLTree::Form1::img_collapse`[private]`

Bitmap XMLTree::Form1::img_expand`[private]`

Bitmap XMLTree::Form1::img_about`[private]`

System.Windows.Forms.MenuItem XMLTree::Form1::menuItem4`[private]`

System.Windows.Forms.MenuItem XMLTree::Form1::menuItem5`[private]`

System.Windows.Forms.ToolBar XMLTree::Form1::toolBar1`[private]`

System.Windows.Forms.TreeView XMLTree::Form1::treeView1`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::Open`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::Exit`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::About`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::SEPARATOR1`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::ExpandAll`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::CollapseAll`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::Stop`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::SEPARATOR2`[private]`

System.Windows.Forms.ListBox XMLTree::Form1::listBox1`[private]`

System.Windows.Forms.Splitter XMLTree::Form1::splitter1`[private]`

System.Windows.Forms.ToolBarButton XMLTree::Form1::SEPARATOR3`[private]`

The documentation for this class was generated from the following file:

- igforms/00copy/00test/copy_to_delete/Form1.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events